    async function fetchDistance() {
        try {
            const response = await fetch('/distance');
            const levelText = await response.text();
            const level = parseInt(levelText, 10);
            updateWaterLevel(level);
        } catch (error) {
            console.error('Error fetching distance:', error);
        }
    }
    async function fetchFlowRate() {
        try {
            const response = await fetch('/frate');
            const flowRateText = await response.text();
            const flowRate = parseInt(flowRateText, 10);
            updateFlowRate(flowRate);
        } catch (error) {
            console.error('Error fetching flow rate:', error);
        }
    }
    function updateWaterLevel(level) {
        const waterElement = document.getElementById('waterLevel');
        const waterLabel = document.getElementById('waterLabel');
        const adjustedLevel = Math.min(level, 100);
        waterElement.style.height = adjustedLevel + '%';
        waterLabel.innerText = adjustedLevel + '%';
    }
    function updateFlowRate(flowRate) {
        const flowRateDisplay = document.getElementById('flowRateDisplay');
        const pipeFlowElement = document.getElementById('pipeFlow');
        flowRateDisplay.innerText = ' Water pump supplying ' + flowRate + ' L/min';
        if (flowRate > 0) {
            pipeFlowElement.style.display = 'block';
        } else {
            pipeFlowElement.style.display = 'none';
        }
    }
    setInterval(() => {
        fetchDistance();
        fetchFlowRate();
    }, 1000);